| Version: 3.2.5

Public Member Functions | List of all members
wxMessageOutputStderr Class Reference
Class List by Category » Logging

`#include <wx/msgout.h>`

Inheritance diagram for wxMessageOutputStderr:
[legend]

## Detailed Description

Output messages to stderr or another STDIO file stream.

Implements wxMessageOutput by using stderr or specified file.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxMessageOutputStderr (FILE *fp=stderr)
| Create a new message output object associated with standard error stream by default. More...
Public Member Functions inherited from wxMessageOutput
void | Printf (const wxString &format,...)
| Output a message. More...
virtual void | Output (const wxString &str)=0
| Method called by Printf() to really output the text. More...

## Additional Inherited Members

Static Public Member Functions inherited from wxMessageOutput
static wxMessageOutput * | Get ()
| Return the global message output object. More...
static wxMessageOutput * | Set (wxMessageOutput *msgout)
| Sets the global message output object. More...

## Constructor & Destructor Documentation

## ◆ wxMessageOutputStderr()

wxMessageOutputStderr::wxMessageOutputStderr | ( | FILE * | fp = `stderr` | ) |

Create a new message output object associated with standard error stream by default.

Parameters

  fp | Non-null STDIO file stream. Notice that this object does not take ownership of this pointer, i.e. the caller is responsible for both ensuring that its life-time is great er than life-time of this object and for deleting it if necessary.